AM261x MCU+ SDK: RTI IP Functions

| AM261x MCU+ SDK 26.00.00 |

Functions
RTI IP Functions
APIs for SDL Module | APIs for SDL IP Module » APIs for SDL RTI

## Introduction

## Functions
int32_t | SDL_RTI_chkWindowSize (uint32_t dwwdWindowSize)
| This API will check the Window Size for DWWD. More...
int32_t | SDL_RTI_chkReaction (uint32_t dwwdReaction)
| This API will check the reaction to perform when error is detected from DWWD. More...
int32_t | SDL_RTI_getWindowSize (uint32_t baseAddr, uint32_t *pWinSize)
| This API will return current configured Window Size. More...
int32_t | SDL_RTI_setPreload (uint32_t baseAddr, uint32_t dwwdPreloadVal)
| Set DWWD preload value. From this value down counter starts down counting. More...
int32_t | SDL_RTI_getPreload (uint32_t baseAddr, uint32_t *pPreloadVal)
| This API will return current configured Preload value. More...

## Function Documentation

## ◆ SDL_RTI_chkWindowSize()

int32_t SDL_RTI_chkWindowSize | ( | uint32_t | dwwdWindowSize | ) |

This API will check the Window Size for DWWD.

Parameters

  dwwdWindowSize | variable which holds window size which should be verified

Returns
  status Success of the window configuration
  - Success: SDL_PASS
  - Fail : SDL_EFAIL

## ◆ SDL_RTI_chkReaction()

int32_t SDL_RTI_chkReaction | ( | uint32_t | dwwdReaction | ) |

This API will check the reaction to perform when error is detected from DWWD.

Parameters

  dwwdReaction | Variable which holds the reaction to be verified.

Returns
  status Success of the window configuration
  - Success: SDL_PASS
  - Fail : SDL_EFAIL

## ◆ SDL_RTI_getWindowSize()

int32_t SDL_RTI_getWindowSize | ( | uint32_t | baseAddr,
|  | uint32_t * | pWinSize
| ) |  |

This API will return current configured Window Size.

Parameters

  baseAddr | Base Address of the RTI instance.
  pWinSize | pointer to Configured Window Size. Refer macro RTI_WindowSize_t

Returns
  status Success of the window configuration
  - Success: SDL_PASS
  - Fail : SDL_EFAIL

## ◆ SDL_RTI_setPreload()

int32_t SDL_RTI_setPreload | ( | uint32_t | baseAddr,
|  | uint32_t | dwwdPreloadVal
| ) |  |

Set DWWD preload value. From this value down counter starts down counting.

Parameters

  baseAddr | Base Address of the RTI instance.
  dwwdPreloadVal | Down counter preload value. Refer DWWD Down Counter Overview.

Returns
  status Success of the window configuration
  - Success: SDL_PASS
  - Fail : SDL_EFAIL

## ◆ SDL_RTI_getPreload()

int32_t SDL_RTI_getPreload | ( | uint32_t | baseAddr,
|  | uint32_t * | pPreloadVal
| ) |  |

This API will return current configured Preload value.

Parameters

  baseAddr | Base Address of the RTI instance.
  pPreloadVal | pointer to current preload value

Returns
  status Success of the window configuration
  - Success: SDL_PASS
  - Fail : SDL_EFAIL